All Products
Search
Document Center

Solve conflict with dependency on Amap

Last Updated: Mar 10, 2021

Conflict description

mPaaS is built with the AMAP Map SDK. There would be a conflict with AMAP Map, if your app needs to be launched on Google Play Store, but it also integrates with an official AMAP SDK that can be approved by Google.

Solution

Remove the built-in AMAP Map SDK from mPaaS.

Procedure

  1. Confirm the version of the AMAP Map SDK used by mPaaS so that you can select the same or a similarly reviewed and approved version.

       
    1. 'com.alipay.android.phone.mobilecommon:AMap-2DMap:5.2.1_20190114@jar'
  2. Get the group:artifact information for the AMAP Map SDK used by mPaaS.

       
    1. 'om.alipay.android.phone.thirdparty:amap3dmap-build'
  3. Remove the AMAP Map SDK from mPaaS.

    • AAR method:

           
      1. configurations {
      2. all*.exclude group:'com.alipay.android.phone.thirdparty', module: 'amap3dmap-build'
      3. }
    • mPaaS Inside and Portal & Bundle:

           
      1. mpaascomponents {
      2. excludeDependencies = [
      3. "com.alipay.android.phone.thirdparty:amap3dmap-build"
      4. ]
      5. }